Package org.apache.cxf.helpers

# Class NSDecl

java.lang.Object
org.apache.cxf.helpers.NSDecl

public final class NSDecl extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NSDecl(String pfx, String ur)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `String`
  `getPrefix()`
  `String`
  `getUri()`
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### NSDecl

    public NSDecl(String pfx, String ur)

- ## Method Details

  - ### getPrefix

    public String getPrefix()

  - ### getUri

    public String getUri()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`